Community

View as Markdown

This guide explains how to use community-related APIs in AISquare.

These endpoints provide access to:

  • Contributors
  • Events
  • Public experience discovery

Overview

Community APIs allow you to:

  • Retrieve top contributors
  • List upcoming events
  • Explore public AI experiences

All endpoints return publicly relevant or community-scoped data.


Top contributors

Retrieve the top contributors based on recent activity.

Endpoint

GET /api/v1/community/contributors/top-week/

Description

  • Returns contributors from the last 7 days
  • Based on activities such as:
    • Experience published
    • Publication created

Query parameters

ParameterDescription
pagePage number
page_sizeResults per page

Response includes

For each contributor:

  • id
  • username
  • full_name
  • profile_picture
  • activity (summary of contributions)

Access control

  • Requires authentication

Upcoming events

Retrieve upcoming community events.

Endpoint

GET /api/v1/community/events/upcoming/

Query parameters

ParameterDescription
event_typechallenge, contest, masterclass, panel, summit, workshop
searchSearch across event name and description
orderingSorting
pagePage number
page_sizeResults per page

Response includes

  • event_name
  • event_description
  • event_type
  • event_start_date
  • event_end_date
  • event_logo
  • event_banner
  • event_website
  • event_prize
  • created_at
  • updated_at

Access control

  • Requires authentication

Explore experiences

Retrieve public AI experiences for discovery.

Endpoint

GET /api/v1/community/explore/experiences/

Description

  • Returns public AI experiences
  • Supports filtering and sorting

Query parameters

ParameterDescription
searchFree text search
categoryFilter by category ID
category_nameFilter by category name
subcategoryFilter by subcategory ID
subcategory_nameFilter by subcategory name
typeAI_EXPERT, AI_NOTE, QUEST
tagFilter by single tag
tagsFilter by multiple tags
orderingSorting
pagePage number
page_sizeResults per page

Sorting options

  • trending (default)
  • newest
  • popular
  • updated

Response

  • Paginated list of experiences
  • Includes experience metadata and engagement data

Access control

  • Requires authentication

Notes

  • All endpoints support pagination
  • Filtering and search are available across endpoints
  • Responses are structured for listing and discovery use cases

Summary

Community APIs provide access to:

  • Contributor activity
  • Upcoming events
  • Discoverable AI experiences